@echo off

set cdir=%CD:\=\\%
set title=Wygeneruj temat mhteam.eu

echo Windows Registry Editor Version 5.00 >> temp.reg
echo. >> temp.reg
echo [HKEY_CLASSES_ROOT\AVIFile\shell\mhtgen] >> temp.reg
echo @="%title%" >> temp.reg
echo. >> temp.reg
echo [HKEY_CLASSES_ROOT\AVIFile\shell\mhtgen\command] >> temp.reg
echo @="\"%cdir%\\mhtgen.exe\" \"%%1\"" >> temp.reg
echo. >> temp.reg

echo [HKEY_CLASSES_ROOT\avi_auto_file\shell\mhtgen] >> temp.reg
echo @="%title%" >> temp.reg
echo. >> temp.reg
echo [HKEY_CLASSES_ROOT\avi_auto_file\shell\mhtgen\command] >> temp.reg
echo @="\"%cdir%\\mhtgen.exe\" \"%%1\"" >> temp.reg
echo. >> temp.reg

echo [HKEY_CLASSES_ROOT\mkv_auto_file\shell\mhtgen] >> temp.reg
echo @="%title%" >> temp.reg
echo. >> temp.reg
echo [HKEY_CLASSES_ROOT\mkv_auto_file\shell\mhtgen\command] >> temp.reg
echo @="\"%cdir%\\mhtgen.exe\" \"%%1\"" >> temp.reg
echo. >> temp.reg

echo [HKEY_CLASSES_ROOT\mkvfile\shell\mhtgen] >> temp.reg
echo @="%title%" >> temp.reg
echo. >> temp.reg
echo [HKEY_CLASSES_ROOT\mkvfile\shell\mhtgen\command] >> temp.reg
echo @="\"%cdir%\\mhtgen.exe\" \"%%1\"" >> temp.reg
echo. >> temp.reg

echo [HKEY_CLASSES_ROOT\wmv_auto_file\shell\mhtgen] >> temp.reg
echo @="%title%" >> temp.reg
echo. >> temp.reg
echo [HKEY_CLASSES_ROOT\wmv_auto_file\shell\mhtgen\command] >> temp.reg
echo @="\"%cdir%\\mhtgen.exe\" \"%%1\"" >> temp.reg
echo. >> temp.reg

echo [HKEY_CLASSES_ROOT\WMVFile\shell\mhtgen] >> temp.reg
echo @="%title%" >> temp.reg
echo. >> temp.reg
echo [HKEY_CLASSES_ROOT\WMVFile\shell\mhtgen\command] >> temp.reg
echo @="\"%cdir%\\mhtgen.exe\" \"%%1\"" >> temp.reg
echo. >> temp.reg

echo [HKEY_CLASSES_ROOT\mp4_auto_file\shell\mhtgen] >> temp.reg
echo @="%title%" >> temp.reg
echo. >> temp.reg
echo [HKEY_CLASSES_ROOT\mp4_auto_file\shell\mhtgen\command] >> temp.reg
echo @="\"%cdir%\\mhtgen.exe\" \"%%1\"" >> temp.reg
echo. >> temp.reg

regedit /s temp.reg
del temp.reg